curl --request POST \
--url https://api.finzaria.com/v1/v1/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "BBVA Nómina",
"accountTypeId": "<string>",
"bank": "BBVA",
"initialBalance": "1500.00",
"currency": "USD",
"fixedRate": "17.50000000",
"apy": "7.5000",
"alertThreshold": "500.00"
}
'import requests
url = "https://api.finzaria.com/v1/v1/accounts"
payload = {
"name": "BBVA Nómina",
"accountTypeId": "<string>",
"bank": "BBVA",
"initialBalance": "1500.00",
"currency": "USD",
"fixedRate": "17.50000000",
"apy": "7.5000",
"alertThreshold": "500.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'BBVA Nómina',
accountTypeId: '<string>',
bank: 'BBVA',
initialBalance: '1500.00',
currency: 'USD',
fixedRate: '17.50000000',
apy: '7.5000',
alertThreshold: '500.00'
})
};
fetch('https://api.finzaria.com/v1/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.finzaria.com/v1/v1/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'BBVA Nómina',
'accountTypeId' => '<string>',
'bank' => 'BBVA',
'initialBalance' => '1500.00',
'currency' => 'USD',
'fixedRate' => '17.50000000',
'apy' => '7.5000',
'alertThreshold' => '500.00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.finzaria.com/v1/v1/accounts"
payload := strings.NewReader("{\n \"name\": \"BBVA Nómina\",\n \"accountTypeId\": \"<string>\",\n \"bank\": \"BBVA\",\n \"initialBalance\": \"1500.00\",\n \"currency\": \"USD\",\n \"fixedRate\": \"17.50000000\",\n \"apy\": \"7.5000\",\n \"alertThreshold\": \"500.00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.finzaria.com/v1/v1/accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"BBVA Nómina\",\n \"accountTypeId\": \"<string>\",\n \"bank\": \"BBVA\",\n \"initialBalance\": \"1500.00\",\n \"currency\": \"USD\",\n \"fixedRate\": \"17.50000000\",\n \"apy\": \"7.5000\",\n \"alertThreshold\": \"500.00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.finzaria.com/v1/v1/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"BBVA Nómina\",\n \"accountTypeId\": \"<string>\",\n \"bank\": \"BBVA\",\n \"initialBalance\": \"1500.00\",\n \"currency\": \"USD\",\n \"fixedRate\": \"17.50000000\",\n \"apy\": \"7.5000\",\n \"alertThreshold\": \"500.00\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"type": {
"id": "<string>",
"name": "<string>",
"systemKey": "<string>"
},
"bank": "<string>",
"currency": "MXN",
"balance": "1500.00",
"fxMode": "auto",
"fixedRate": "17.50000000",
"apy": "<string>",
"alertThreshold": "<string>",
"status": "active",
"createdAt": "<string>",
"updatedAt": "<string>"
}Crea una cuenta (ACC-001)
curl --request POST \
--url https://api.finzaria.com/v1/v1/accounts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "BBVA Nómina",
"accountTypeId": "<string>",
"bank": "BBVA",
"initialBalance": "1500.00",
"currency": "USD",
"fixedRate": "17.50000000",
"apy": "7.5000",
"alertThreshold": "500.00"
}
'import requests
url = "https://api.finzaria.com/v1/v1/accounts"
payload = {
"name": "BBVA Nómina",
"accountTypeId": "<string>",
"bank": "BBVA",
"initialBalance": "1500.00",
"currency": "USD",
"fixedRate": "17.50000000",
"apy": "7.5000",
"alertThreshold": "500.00"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'BBVA Nómina',
accountTypeId: '<string>',
bank: 'BBVA',
initialBalance: '1500.00',
currency: 'USD',
fixedRate: '17.50000000',
apy: '7.5000',
alertThreshold: '500.00'
})
};
fetch('https://api.finzaria.com/v1/v1/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.finzaria.com/v1/v1/accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'BBVA Nómina',
'accountTypeId' => '<string>',
'bank' => 'BBVA',
'initialBalance' => '1500.00',
'currency' => 'USD',
'fixedRate' => '17.50000000',
'apy' => '7.5000',
'alertThreshold' => '500.00'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.finzaria.com/v1/v1/accounts"
payload := strings.NewReader("{\n \"name\": \"BBVA Nómina\",\n \"accountTypeId\": \"<string>\",\n \"bank\": \"BBVA\",\n \"initialBalance\": \"1500.00\",\n \"currency\": \"USD\",\n \"fixedRate\": \"17.50000000\",\n \"apy\": \"7.5000\",\n \"alertThreshold\": \"500.00\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.finzaria.com/v1/v1/accounts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"BBVA Nómina\",\n \"accountTypeId\": \"<string>\",\n \"bank\": \"BBVA\",\n \"initialBalance\": \"1500.00\",\n \"currency\": \"USD\",\n \"fixedRate\": \"17.50000000\",\n \"apy\": \"7.5000\",\n \"alertThreshold\": \"500.00\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.finzaria.com/v1/v1/accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"BBVA Nómina\",\n \"accountTypeId\": \"<string>\",\n \"bank\": \"BBVA\",\n \"initialBalance\": \"1500.00\",\n \"currency\": \"USD\",\n \"fixedRate\": \"17.50000000\",\n \"apy\": \"7.5000\",\n \"alertThreshold\": \"500.00\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"name": "<string>",
"type": {
"id": "<string>",
"name": "<string>",
"systemKey": "<string>"
},
"bank": "<string>",
"currency": "MXN",
"balance": "1500.00",
"fxMode": "auto",
"fixedRate": "17.50000000",
"apy": "<string>",
"alertThreshold": "<string>",
"status": "active",
"createdAt": "<string>",
"updatedAt": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
"BBVA Nómina"
Tipo de cuenta del catálogo del workspace (ACC-012). Requerido salvo que envíes type.
Atajo: clave del tipo sembrado (checking, savings, …). Se resuelve al tipo del workspace; alternativa a accountTypeId.
checking, savings, credit_card, cash, investment, loan, real_estate, other "BBVA"
Saldo inicial. Negativo sólo para loan y credit_card (pasivos).
"1500.00"
Moneda de la cuenta (ISO 4217). Default = moneda base del workspace (09).
"USD"
auto = tasa diaria; fixed = fixedRate. Solo aplica si la moneda ≠ base (09).
auto, fixed Tasa fija cuenta→base (solo fxMode=fixed).
"17.50000000"
Tasa anual (APY) en %; la usa Forecast (R2).
"7.5000"
Umbral de alerta de saldo bajo (R2).
"500.00"
Response
Tipo del catálogo (ACC-012).
Show child attributes
Show child attributes
"MXN"
"1500.00"
auto, fixed "17.50000000"
active, archived, closed